# DataGridViewClipboardCopyMode

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Defines how content is copied from a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) control to the Clipboard.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DataGridViewClipboardCopyMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DataGridViewClipboardCopyMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                              | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| --------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **CopyToClient**                  | The text copied to the clipboard is also always sent to the client's clipboard automatically.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| **Disable**                       | Copying to the Clipboard is disabled.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| **EnableAlwaysIncludeHeaderText** | The text values of selected cells is copied to the Clipboard. The text in the header is included.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| **EnableWithAutoHeaderText**      | The text values of selected cells is copied to the Clipboard. The text in the row header or column header is included only when the [SelectionMode](/api/wisej.web/lists-and-grids/datagridview.md#selectionmode) property is set to [RowHeaderSelect](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewselectionmode.md#fields) or [ColumnHeaderSelect](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewselectionmode.md#fields) or [RowColumnHeaderSelect](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewselectionmode.md#fields) and at least one header is selected. |
| **EnableWithoutHeaderText**       | The text values of selected cells is copied to the Clipboard. The text in the header is not included.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| **ExcludeUnselectedColumns**      | Excludes the unselected columns in between the first and last selected columns.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| **ExcludeUnselectedRows**         | Excludes the unselected rows in between the first and last selected rows.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |

## Used By

| Name                                                                                               | Description                                                                                                                                                                                          |
| -------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridView.ClipboardCopyMode](/api/wisej.web/lists-and-grids/datagridview.md#clipboardcopymode) | Returns or sets a value that indicates whether users can copy cell text values to the [Clipboard](/api/wisej.web/general/wisej.web.clipboard.md) and whether row and column header text is included. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewclipboardcopymode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
